## org.hibernate.envers.revisioninfo
Class DefaultRevisionInfoGenerator

    java.lang.Object
      org.hibernate.envers.revisioninfo.DefaultRevisionInfoGenerator

All Implemented Interfaces:
  RevisionInfoGenerator

Direct Known Subclasses:
  DefaultTrackingModifiedEntitiesRevisionInfoGenerator

    public class DefaultRevisionInfoGenerator

extends Object
implements RevisionInfoGenerator

Constructor Summary
`DefaultRevisionInfoGenerator(String revisionInfoEntityName, Class<?> revisionInfoClass, Class<? extends RevisionListener> listenerClass, PropertyData revisionInfoTimestampData, boolean timestampAsDate)`

Method Summary
`void` `entityChanged(Class entityClass, String entityName, Serializable entityId, RevisionType revisionType, Object revisionInfo)`
`Object` `generate()`
`void` `saveRevisionData(Session session, Object revisionData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRevisionInfoGenerator

    public DefaultRevisionInfoGenerator(String revisionInfoEntityName,
                                        Class<?> revisionInfoClass,
                                        Class<? extends RevisionListener> listenerClass,
                                        PropertyData revisionInfoTimestampData,
                                        boolean timestampAsDate)

Method Detail

### saveRevisionData

    public void saveRevisionData(Session session,
                                 Object revisionData)

  Specified by:
    `saveRevisionData` in interface `RevisionInfoGenerator`

### generate

    public Object generate()

  Specified by:
    `generate` in interface `RevisionInfoGenerator`

### entityChanged

    public void entityChanged(Class entityClass,
                              String entityName,
                              Serializable entityId,
                              RevisionType revisionType,
                              Object revisionInfo)

  Specified by:
    `entityChanged` in interface `RevisionInfoGenerator`
  See Also:
    `EntityTrackingRevisionListener.entityChanged(Class, String, Serializable, RevisionType, Object)`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.